﻿using System.Data;
using System.Windows;

namespace DataTableTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataView DataSource { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.DataContext = this;
            this.DataSource = this.GenerateData().Tables[0].DefaultView;
        }

        private DataSet GenerateData()
        {
            var data = new DataSet("SimpleData");

            DataTable parent = new DataTable("Parent");

            parent.Columns.Add("column1", typeof(string));
            parent.Columns.Add("column2", typeof(string));
            parent.Columns.Add("column4", typeof(int));

            data.Tables.Add(parent);

            parent.Rows.Add("cell1", "cell2", 3);
            parent.Rows.Add("cell3", "cell4", 5);
            parent.Rows.Add("cell5", "cell6", 6);

            data.AcceptChanges();

            return data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var newRow = DataSource.AddNew();

            newRow["column1"] = "test1";
            newRow["column2"] = "test2";
            newRow["column4"] = 99;
        }
    }
}
